Package: groovy.swing.impl

## [Groovy] Class ClosureCellEditor

- groovy.swing.impl.ClosureCellEditor

- All Implemented Interfaces and Traits:
    TableCellEditor, TreeCellEditor

      class ClosureCellEditor
      extends AbstractCellEditor

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `private Map` | `callbacks`
    `private List` | `children`
    `private int` | `column`
    `private boolean` | `defaultEditor`
    `private Closure` | `editorValue`
    `private boolean` | `expanded`
    `private boolean` | `leaf`
    `private Closure` | `prepareEditor`
    `private int` | `row`
    `private boolean` | `selected`
    `private JTable` | `table`
    `private JTree` | `tree`
    `private Object` | `value`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ClosureCellEditor (Closure c, Map callbacks)`
    `ClosureCellEditor ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `Object` | `getCellEditorValue()`
    `` | `Component` | `getTableCellEditorComponent(JTable table, Object value, boolean isSelected, int row, int column)`
    `` | `Component` | `getTreeCellEditorComponent(JTree tree, Object value, boolean isSelected, boolean expanded, boolean leaf, int row)`
    `` | `Object` | `invokeMethod(String name, Object args)`
    `` | `void` | `setEditorValue(Closure editorValue)`
    `` | `void` | `setPrepareEditor(Closure prepareEditor)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractCellEditor` | `isCellEditable, addCellEditorListener, cancelCellEditing, removeCellEditorListener, stopCellEditing, getCellEditorListeners, shouldSelectCell, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll, getCellEditorValue`

- - ### Property Detail

    - #### private Map callbacks

    - #### private List children

    - #### private int column

    - #### private boolean defaultEditor

    - #### private Closure editorValue

    - #### private boolean expanded

    - #### private boolean leaf

    - #### private Closure prepareEditor

    - #### private int row

    - #### private boolean selected

    - #### private JTable table

    - #### private JTree tree

    - #### private Object value

  - ### Constructor Detail

    - #### ClosureCellEditor(Closure c, Map callbacks)

    - #### ClosureCellEditor()

  - ### Method Detail

    - #### @OverrideOverride Object getCellEditorValue()

    - #### @OverrideOverride Component getTableCellEditorComponent(JTable table, Object value, boolean isSelected, int row, int column)

    - #### Component getTreeCellEditorComponent(JTree tree, Object value, boolean isSelected, boolean expanded, boolean leaf, int row)

    - #### @OverrideOverride Object invokeMethod(String name, Object args)

    - #### void setEditorValue(Closure editorValue)

    - #### void setPrepareEditor(Closure prepareEditor)